import React from 'react';
import { StyleSheet} from 'react-native';
import { NavigationContainer } from "@react-navigation/native";
import { createDrawerNavigator } from "@react-navigation/drawer";
import { homeStack } from "./Navigations/homeStack";
import { AuthStack } from "./Navigations/AuthStack";
import { RootSiblingParent } from 'react-native-root-siblings';

const Drawer = createDrawerNavigator();

export default function App() {
  return (
    <RootSiblingParent>
      <NavigationContainer>
        <Drawer.Navigator initialRouteName="Authntications">
          <Drawer.Screen name="HOME" component={AuthStack} />
          <Drawer.Screen name="About Us" component={homeStack} />
          {/* <Drawer.Screen name="MainTab" component={MainTabScreen} /> */}
          {/* <Drawer.Screen name="About Us" component={AboutUs} /> */}
        </Drawer.Navigator>
          {/* <HomeScreen/> */}
      </NavigationContainer>
  </RootSiblingParent>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
  Button:{
    backgroundColor: '#fff',
    marginTop: 20
  }
});
