import React from 'react';
import { AppCamera } from '../components/camera.component';

const  AuctionCameraScreen =  ({navigation}) => {
  const handleAddImage = (image) => {
    navigation.navigate('AuctionCreateScreen', {
      image: image
    })
  }
  return (
    <AppCamera onAddImage={(image) => handleAddImage(image)}/>
  );
};
export default AuctionCameraScreen;
