import React, {useState, useEffect} from 'react';
import { StyleSheet, Button, TextInput, View, Text, TouchableOpacity, ImageBackground, Image } from 'react-native';
import { Formik } from 'formik';
import { Entypo } from '@expo/vector-icons';
import { MaterialIcons } from '@expo/vector-icons';
import { Ionicons } from '@expo/vector-icons';
import { AntDesign } from '@expo/vector-icons';
import * as ImagePicker from 'expo-image-picker';
import { BottomTab } from "../Navigations/BottomTab";

import axios from 'axios';



export function IotScreen({ navigation }) {
 
  const [titleTemp, setTitleTemp] = useState("27C");
  const [titleSoil, setTitleSoil] = useState("Dry");
  const [titleWether, setTitlewether] = useState("Sunny");
  const bodyText = "This is not really a bird nest.";

  return (

    <View style={styles.container}>
      <ImageBackground source={require('../assets/signup11.jpg')} style={styles.images}>
        
        <Text style={styles.Mainheading}>
         Welcome to IOT
        </Text>
        <Text style={styles.heading}>
            <Text>  Temperature:  {titleTemp} </Text>
        </Text>
        <Text style={styles.heading}>
            <Text> Soil Condition: {titleSoil} </Text>
        </Text>
        <Text style={styles.headingclimate}>
        <Text> Climate:  {titleWether} </Text>
        </Text>
          
      <BottomTab/>
      </ImageBackground>
    </View >
  );
}

const styles = StyleSheet.create({
  heading:{
    textAlign: 'center',
    color: 'black',
    fontWeight: 'bold',
    // padding: 10,
    fontSize: 20,
    // marginBottom:30
  },
  headingclimate:{
    textAlign: 'center',
    color: 'black',
    fontWeight: 'bold',
    // padding: 10,
    fontSize: 20,
    marginBottom:430
  },
  container: {
    flex: 1,
    color: '#333',
    // padding: 10,
    width: "100%",
    // justifyContent: 'flex-start',
    alignContent: 'stretch',
  },
  images: {
    height: '100%',
    justifyContent: 'center'
  },
  Mainheading:{
    textAlign: 'center',
    color: 'black',
    fontWeight: 'bold',
    padding: 10,
    fontSize: 30,
    marginTop:50
  }
});